- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
StarItemPoolInternal::StyleId Struct Reference

Internal: a style of a StarItemPool. More...

## Public Member Functions
| StyleId (librevenge::RVNGString const &name, int family)
| constructor More...
bool | operator== (StyleId const &other) const
| operator== More...
bool | operator!= (StyleId const &other) const
| operator!= More...
bool | operator< (StyleId const &other) const
| operator< More...

## Public Attributes
librevenge::RVNGString | m_name
| the name More...
int | m_family
| the family More...

## Detailed Description

Internal: a style of a StarItemPool.

## Constructor & Destructor Documentation

StarItemPoolInternal::StyleId::StyleId | ( | librevenge::RVNGString const & | name,
|  | int | family
| ) |  |
| inline

constructor

## Member Function Documentation

bool StarItemPoolInternal::StyleId::operator!= | ( | StyleId const & | other | ) | const
| inline

operator!=

bool StarItemPoolInternal::StyleId::operator< | ( | StyleId const & | other | ) | const
| inline

operator<

bool StarItemPoolInternal::StyleId::operator== | ( | StyleId const & | other | ) | const
| inline

operator==

## Member Data Documentation

int StarItemPoolInternal::StyleId::m_family

the family

Referenced by operator<(), operator==(), and StarItemPool::updateStyles().

librevenge::RVNGString StarItemPoolInternal::StyleId::m_name

the name

Referenced by operator<(), operator==(), and StarItemPool::updateStyles().

The documentation for this struct was generated from the following file:

- StarItemPool.cxx